Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.sshcommon
Class SSHSCPStdoutProgress

    java.lang.Object
      com.mindbright.sshcommon.SSHSCPStdoutProgress

All Implemented Interfaces:
  Progress, SSHFileTransferProgress

public class SSHSCPStdoutProgress
extends java.lang.Object
implements SSHFileTransferProgress

Report progress of a file transfer to System.out

Constructor Summary
`SSHSCPStdoutProgress()`

Method Summary
`void` | `endDir()` Called when all files in a directory have been transferred
`void` | `endFile()` Called when a file has been successfully transferred
`void` | `progress(long size)` Called to report the current progress.
`void` | `startDir(java.lang.String file)` Called when the transfer starts to transfer all files in a directory.
`void` | `startFile(java.lang.String file, long size)` Called when a file starts to transfer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHSCPStdoutProgress

    public SSHSCPStdoutProgress()

Method Detail

### startFile

    public void startFile(java.lang.String file,
                          long size)

  Description copied from interface: `SSHFileTransferProgress`
  Called when a file starts to transfer

  Specified by:
    `startFile` in interface `SSHFileTransferProgress`
  Parameters:
    `file` - name of file to transfer
    `size` - file size

### startDir

    public void startDir(java.lang.String file)

  Description copied from interface: `SSHFileTransferProgress`
  Called when the transfer starts to transfer all files in a directory.

  Specified by:
    `startDir` in interface `SSHFileTransferProgress`
  Parameters:
    `file` - name of directory

### endFile

    public void endFile()

  Description copied from interface: `SSHFileTransferProgress`
  Called when a file has been successfully transferred

  Specified by:
    `endFile` in interface `SSHFileTransferProgress`

### endDir

    public void endDir()

  Description copied from interface: `SSHFileTransferProgress`
  Called when all files in a directory have been transferred

  Specified by:
    `endDir` in interface `SSHFileTransferProgress`

### progress

    public void progress(long size)

  Description copied from interface: `Progress`
  Called to report the current progress.

  Specified by:
    `progress` in interface `Progress`
  Parameters:
    `size` - the current progress. The range of possible values depends on the class reporting the progress.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD